Skip to main content

GET /logout

Doc type: Reference

Overview

Public endpoint that integrating applications should use to clear shared auth cookies.

Clears the shared auth cookies and redirects the user to a safe return URL.

Request

  • Method: GET
  • Path: /logout
  • Query parameters:
NameTypeRequiredDescription
redirectUrlstringnoHTTPS URL to return to after logout.

Integration environment curl

curl -i "https://auth-int.yoyogroup.com/logout?redirectUrl=https%3A%2F%2Fyour-app-int.yoyogroup.com%2F"

Response

  • 302 redirect to the safe target URL.

Errors and edge behavior

  • If the redirect target is invalid or not allowlisted, the portal redirects to /.
  • Relative redirect URLs are only honored when they resolve to the current host.

Notes

  • This endpoint clears yoyo_auth_access_token, yoyo_auth_id_token, and yoyo_auth_refresh_token.